<?php

/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2008 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Форма для загрузки прайс-листов (2 из 2).
 * 
 * Файл: /admin/shop/action/import_price_list_load_form_step_two.php
 * 
 * @author Hostmake LLC
 * @version 5.2
 */

$shop_groups_parent_id = to_int($_REQUEST['shop_groups_parent_id']);

$import_price_stop = to_int($_REQUEST['import_price_stop']);

$import_price_stop_value = '"';

$shop_shops_id = to_int($_REQUEST['shop_shops_id']);

switch ($import_price_stop)
{
	case 0:
	default:
		{
			$import_price_stop_value = '"';
			break;
		}
	case 1:
		{
			$import_price_stop_value = to_str($_REQUEST['import_price_stop_text']);
			break;
		}
}

$import_price_separator = to_int($_REQUEST['import_price_separator']);

// По умолчанию устанавливаем разделитель - запятую
switch ($import_price_separator)
{
	case 0:
	default:
		{
			$import_price_separator_value = ',';
			break;
		}
	case 1:
		{
			$import_price_separator_value = ';';
			break;
		}
	case 2:
		{
			$import_price_separator_value = to_str($_REQUEST['import_price_separator_text']);
			break;
		}
}

$import_price_action_delete_image = (isset($_REQUEST['import_price_action_delete_image']))
? 1 : 0;

// Данные о внешних файлах
$import_price_list_images_path = to_str($_REQUEST['import_price_load_files_path']);

// Максимальное время выполнения (загрузки)
$import_price_max_time = to_float($_REQUEST['import_price_max_time']);

// Проверяем не равно ли время 0 (возможно нам передали пустоту)
if ($import_price_max_time < 1)
{
	// По умолчанию устанавливаем 20 сек
	$import_price_max_time = 20;
}

// Флаг для первой строки
$import_price_name_field_f = false;
if (isset($_POST['import_price_name_field_f']))
{
	$import_price_name_field_f = true;
}

// Тип файла
$import_price_type = to_int($_REQUEST['import_price_type']);

// Если выбран файл CSV

$row_field = array();

// Если файл выбран, начинаем работу с ним
if (isset($_FILES['import_price_file']['tmp_name']))
{
	// 0 - CSV
	// 1 - XML
	if ($_REQUEST['import_price_type'] == 0)
	{
		$file_name = 'file_'.date("U").'.csv';
	}
	else
	{
		$file_name = 'file_'.date("U").'.xml';
	}

	// Путь к временному файлу + его имя
	$floadfile = CMS_FOLDER.TMP_DIR.$file_name;

	// Загружаем файл
	if (move_uploaded_file($_FILES['import_price_file']['tmp_name'], $floadfile))
	{
		@chmod($floadfile,CHMOD_FILE);

		show_message($GLOBALS['MSG_shops']['msg_download_file']);
	}
	else
	{
		$error_import_price_list_no_file = false;

		include(CMS_FOLDER.'admin/shop/action/import_price_list_load_form.php');

		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(54, 'load_data');

		$form_html = ob_get_clean();

		ob_start();

		show_error_message($GLOBALS['MSG_shops']['msg_import_file']);

		$error = ob_get_clean();

		$JsHttpRequest = new JsHttpRequest(SITE_CODING);

		$GLOBALS['_RESULT'] = array(
		'error' => $error,
		'form_html' => $form_html);

		echo $JsHttpRequest->LOADER;
		exit();
	}
}

if ($_REQUEST['import_price_type'] == 0) // CSV
{
	include(CMS_FOLDER.'admin/shop/action/import_price_list_load_form_step_two_csv.php');

}
elseif ($_REQUEST['import_price_type'] == 1) // COMMERCE ML
{
	include(CMS_FOLDER.'admin/shop/action/import_price_list_load_form_step_two_cml.php');
}

?>